classification
Title: Add a Sprints organization/preparation section to devguide
Type: enhancement Stage: needs patch
Components: Devguide Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: willingc Nosy List: brett.cannon, ezio.melotti, willingc
Priority: normal Keywords:

Created on 2015-04-20 16:02 by willingc, last changed 2016-07-22 19:47 by brett.cannon. This issue is now closed.

Messages (3)
msg241666 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2015-04-20 16:02
Based on feedback from the PyCon 2015 CPython sprints (thank you R. David Murray and all the CPython contributors there), a sprint organization section will be added to the devguide.

Here are some suggested subtopics in the Sprints organization section:
* Pre-sprint preparation (by core devs and those familiar with CPython devel)
  - Etherpad for issues and links to resources
  - Dev in a box environment preparation
  - Docker container for development (based on work done by Saul)
* At the sprint
  - Important info posted in room (IRC; etherpad; schedule)
  - Welcome talk as given by R. David
  - Introduction of core devs in attendance
  - Periodic announcements to encourage questions
* After the sprint
  - Capture feedback from the etherpad
  - Refine devguide as needed

Please suggest additional topics. Thanks!
msg264033 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-04-22 23:31
This should also include a mention of devinabox.
msg271013 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-07-22 19:47
Moved to https://github.com/python/devguide/issues/7
History
Date User Action Args
2016-07-22 19:47:22brett.cannonsetstatus: open -> closed
resolution: out of date
messages: + msg271013
2016-04-22 23:31:18brett.cannonsetnosy: + brett.cannon
messages: + msg264033
2015-04-20 16:02:16willingccreate